local AppName, AppNS = ... -- Retrieve the Add-On name and namespace

local tostring = tostring

local Wowhead = Wiki_Source:New()

function Wowhead:GetUrl(message)	
	-- No arguments given. Return base address
	if message == nil then
		return 'https://www.wowhead.com/'
	end
	
	-- Retrieve the HyperLink
	local Alpha, Color, DataString, ItemName = self:ParseHyperLink(message)
	
	-- No link, return search query
	if not DataString then
		return 'https://www.wowhead.com/search?q=' .. self:EncodeURL(message)
	end
	
	-- Retrieve item link details
	Ltype, ID, _ = self:ParseData(DataString)
	if not Ltype or not ID then
		-- Parsing failed. Create a search query again
		return 'https://www.wowhead.com/search?q=' .. ItemName
	end
	
	-- TODO: Fix whole url instead of part
	return 'https://www.wowhead.com/' .. Ltype .. '=' .. tostring(ID)
end

AppNS["Wowhead"] = Wowhead
